TFBS::Word::Consensus(3pm)

NAME
TFBS::Word - IUPAC DNA consensus word-based pattern class =head1 DESCRIPTION

TFBS::Word is a base class consisting of universal constructor called by its subclasses (TFBS::Matrix::*), and word pattern manipulation methods that are independent of the word type. It is not meant to be instantiated itself.

FEEDBACK
Please send bug reports and other comments to the author.

AUTHOR - Boris Lenhard
Boris Lenhard <Boris.Lenhard@cgb.ki.se>

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are preceded with an underscore.

  new
 Title   : new
 Usage   : my $pwm = TFBS::Matrix::PWM->new(%args)
 Function: constructor for the TFBS::Matrix::PWM object
 Returns : a new TFBS::Matrix::PWM object
 Args    : # you must specify the -word argument:
           -word,       # a strig consisting of letters in
                        # IUPAC degenerate DNA alphabet
                        # (any of ACGTSWKMPYBDHVN)

           #######

           -name,        # string, OPTIONAL
           -ID,          # string, OPTIONAL
           -class,       # string, OPTIONAL
           -tags         # a hash reference reference, OPTIONAL

  search_seq
 Title   : search_seq
 Usage   : my $siteset = $pwm->search_seq(%args)
 Function: scans a nucleotide sequence with the pattern represented
           by the PWM
 Returns : a TFBS::SiteSet object
 Args    : # you must specify either one of the following three:

           -file,       # the name od a fasta file (single sequence)
              #or
           -seqobj      # a Bio::Seq object
                        # (more accurately, a Bio::PrimarySeqobject or a
                        #  subclass thereof)
              #or
           -seqstring # a string containing the sequence

           -max_mismatches,  # number of allowed positions in the site that do
                             # not match the consensus
                                     # OPTIONAL: default 0

  search_aln
 Title   : search_aln
 Usage   : my $site_pair_set = $pwm->search_aln(%args)
 Function: Scans a pairwise alignment of nucleotide sequences
           with the pattern represented by the word: it reports only
           those hits that are present in equivalent positions of both
           sequences and exceed a specified threshold score in both, AND
           are found in regions of the alignment above the specified
           conservation cutoff value.
 Returns : a TFBS::SitePairSet object
 Args    : # you must specify either one of the following three:

           -file,       # the name of the alignment file in Clustal
                               format
              #or
           -alignobj      # a Bio::SimpleAlign object
                        # (more accurately, a Bio::PrimarySeqobject or a
                        #  subclass thereof)
              #or
           -alignstring # a multi-line string containing the alignment
                        # in clustal format
           #############

           -max_mismatches,  # number of allowed positions in the site that do
                              # not match the consensus
                                      # OPTIONAL: default 0

           -window,     # size of the sliding window (inn nucleotides)
                        # for calculating local conservation in the
                        # alignment
                        # OPTIONAL: default 50

           -cutoff      # conservation cutoff (%) for including the
                        # region in the results of the pattern search
                        # OPTIONAL: default "70%"

  to_PWM

  validate_word

  length